## visad
Class RemoteCellImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  visad.RemoteActionImpl
                      visad.RemoteCellImpl

All Implemented Interfaces:
  Action, Cell, EventListener, Remote, RemoteAction, RemoteCell, Serializable, ThingChangedListener

public class RemoteCellImpl
extends RemoteActionImpl
implements RemoteCell

RemoteCellImpl is the VisAD class for remote access to Cell-s.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.RemoteActionImpl
`AdaptedAction`

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`RemoteCellImpl(CellImpl d)`

Method Summary
`DataReference` `getOtherReference(int index)`
`void` `setOtherReference(int index, DataReference ref)` set a non-triggering link to a DataReference; this is used to give the Cell access to Data without triggering the Cell's doAction whenever the Data changes; these 'other' DataReferences are identified by their integer index

Methods inherited from class visad.RemoteActionImpl
`addReference, getName, removeAllReferences, removeReference, thingChanged`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.Action
`addReference, getName, removeAllReferences, removeReference`

Methods inherited from interface visad.ThingChangedListener
`thingChanged`

Constructor Detail

### RemoteCellImpl

    public RemoteCellImpl(CellImpl d)
                   throws RemoteException

Method Detail

### setOtherReference

    public void setOtherReference(int index,
                                  DataReference ref)
                           throws VisADException,
                                  RemoteException

  set a non-triggering link to a DataReference; this is used to give the Cell access to Data without triggering the Cell's doAction whenever the Data changes; these 'other' DataReferences are identified by their integer index

  Specified by:
    `setOtherReference` in interface `Cell`
  Parameters:
    `index` - - identifier of DataReference
    `ref` - - DataReference to be linked
  Throws:
    `VisADException` - - a VisAD error occurred
    `RemoteException` - - an RMI error occurred

### getOtherReference

    public DataReference getOtherReference(int index)
                                    throws VisADException,
                                           RemoteException

  Specified by:
    `getOtherReference` in interface `Cell`
  Parameters:
    `index` - - identifier of DataReference to return
  Returns:
    the non-triggering link to a DataReference identified by index
  Throws:
    `VisADException` - - a VisAD error occurred
    `RemoteException` - - an RMI error occurred